import { ParseResult } from '../models/templates/parse-result';
import { Formatter } from '../models/templates/formatter';
import { NgxExpressionsConfig } from '../models';
export declare class FormatterService {
    protected config: NgxExpressionsConfig;
    protected previousFullCode: string;
    protected previousParseResult: ParseResult;
    protected logger: (message: string, params: any[]) => void;
    constructor(config: NgxExpressionsConfig);
    parseModel(language: string, formatRuleName: string, model: any): ParseResult;
    getTemplate(language: string, formatRuleName: string, parameters: string, returnType: string, targetCode: string): string;
    setHiddenRanges(editor: any, parseResult: ParseResult): void;
    updatedCursorPosition(editor: any, parseResult: ParseResult, e: any): void;
    updatedCursorSelection(editor: any, parseResult: ParseResult, e: any): void;
    updateScrollPosition(editor: any, parseResult: ParseResult): void;
    updateModelDecorations(editor: any, parseResult: ParseResult, editorId: string, e: any): string[];
    isKeypressAllowed(editor: any, parseResult: ParseResult, e: any, autoExpand?: boolean): boolean;
    protected isDeleteKeyAllowed(editor: any, parseResult: ParseResult): boolean;
    protected isBackspaceKeyAllowed(editor: any, parseResult: ParseResult): boolean;
    protected getRule(language: string, formatRuleName: string): Formatter;
    protected log(message: string, ...params: any[]): void;
}
